Summary: ntop shows the network usage
Name: ntop
Version: 1.3.1
Release: 2
Source: http://www-serra.unipi.it/~ntop/ntop-%{version}.tar.gz
Source1: ntop.init
Patch0: ntop.patch
Patch1: plugin_loc.patch
Copyright: GPL
Group: Applications/System
Buildroot: /var/tmp/%{name}-root
Prereq: /sbin/chkconfig , /sbin/ldconfig
requires: lsof >= 4.45

%description
ntop is a tool that shows the network usage, similar to what the
popular top Unix command does.

%prep

%setup -q
%patch0 -p1 -b .build
%patch1 -p1 -b .pluginpath

%build
%configure --bindir=%{_sbindir} 
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_sbindir}

mkdir -p $RPM_BUILD_ROOT%{_libdir}/ntop-%{version}/
mv $RPM_BUILD_ROOT%{_sbindir}/plugins $RPM_BUILD_ROOT%{_libdir}/ntop-%{version}/

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -c -m0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/ntop
mkdir -p $RPM_BUILD_ROOT/var/ntop

rm $RPM_BUILD_ROOT%{_sbindir}/{ntop-cert.pem,ntop-config} || :

%post
/sbin/chkconfig --add  ntop
/sbin/ldconfig

%preun
if [ "$1" = "0" ]; then
	/sbin/service ntop stop > /dev/null 2>&1
	/sbin/chkconfig --del ntop
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service ntop condrestart > /dev/null 2>&1
fi
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS CONTENTS COPYING ChangeLog FAQ HACKING KNOWN_BUGS NEWS PORTING
%doc README SUPPORT_NTOP.txt THANKS TODO 
%config %{_sysconfdir}/rc.d/init.d/ntop
%{_sysconfdir}/ntop
%dir /var/ntop
%{_sbindir}/*
%{_mandir}/*/*
%{_libdir}/*

%changelog
* Tue Aug 8 2000 Tim Powers <timp@redhat.com>
- built for 7.0

* Mon Aug 7 2000 Tim Powers <timp@redhat.com>
- update to new version to fix security problem with browsing local files with
  the web interface
- added condrestart stuff, reworked initscript

* Thu Feb 17 2000 Tim Powers <timp@redhat.com>
- put in /usr/sbin instead of /sbin

* Thu Feb 10 2000 Tim Powers <timp@redhat.com>
- removed gzip line so that the build system/rpm can automagically gzip the
	man pages

* Thu Feb 10 2000 Ngo Than <than@redhat.com>
- add new security patch for ntop-1.1 (security patch from bero is only for ntop-1.0)

* Thu Feb 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Apply security patch
- handle RPM_OPT_FLAGS
- gzip man pages
- strip binaries

* Wed Feb 09 2000 Tim Powers <timp@redhat.com>
- erroniously removed from the tree. rebuilt it.

* Mon Dec 13 1999 Ngo Than <than@redhat.de>
- adapted for powertools-6.2
